Luckfox Pico rknn_model_zoo里面给的yolov5n.onnx和yolov5s_relu.onnx的模型通过它自带从的convert脚本转的rknn都不能加载

2024-01-15 18:04:47 提问

很奇怪啊。

我单纯用rknpu2里面给的yolov5s-640-640.rknn模型推理是没问题的。

用https://github.com/airockchip/rknn_model_zoo/blob/main/examples/yolov5/README.md,rknn_model_zoo里面给的yolov5n.onnx和yolov5s_relu.onnx的模型通过它自带从的convert脚本转的rknn都不能加载,我自己的yolov5模型也不能加载。只报这么一个错,没有别的信息了:

E RKNN: failed to decode config data!

Segmentation fault (core dumped)


关键是,我用netron看了rknpu2里面给的yolov5s-640-640.rknn的输出和输出,和用knn_model_zoo是一样的,和我自己修改的v5模型也是相似的。


请问这是什么情况啊,有誰遇到过能分享下经验吗。

第一个是rknn_model_zoo给的yolov5n.onnx,我转成rknn得到的模型,第二个是rknpu2

里面给的yolov5s-640-640.rknn模型,也没啥区别啊。


转rknn也就这么一个指令:

python convert.py ~/LuckfoxTECH/yolov5/runs/train/exp3/weights/yolov5n.onnx  rv1103 i8

应该也没问题呀。


我来答
浏览 880 次
已有1个回答
斑梨游客95f04
回答时间:
2024-01-16 11:01:34

在尝试将.onnx模型转换为.rknn格式时遇到了问题。错误信息 "E RKNN: failed to decode config data!" 后面紧跟一个段错误(segmentation fault),这通常指示着一个严重的问题。


可能的问题原因包括但不限于:

】模型和RKNN Toolkit版本不兼容:您使用的RKNN Toolkit版本可能与您尝试转换的.onnx模型不兼容。

】.onnx文件损坏或不完整:文件可能已损坏或未正确导出。

】转换脚本问题:转换脚本可能存在参数不正确或脚本本身存在问题。

】依赖和环境问题:执行转换的环境可能缺少必要的依赖,或者依赖之间存在版本冲突。


解决此问题的一般方法如下:

】确保您的RKNN Toolkit是最新的,并且与您试图转换的.onnx模型兼容。

】通过在不同环境运行或使用Netron等工具验证.onnx模型文件的完整性(您已经这么做了)。

】仔细检查转换脚本是否存在参数或环境设置方面的潜在问题。

】检查您正在使用的RKNN Toolkit版本是否有已知的问题或对.onnx模型有特定要求。

】查找RKNN Toolkit中是否有日志或详细输出选项,这可能提供更详细的错误信息。

点赞0

举报